diff -Naur moc-2.4.1/config.example moc-2.4.1-modplug/config.example
--- moc-2.4.1/config.example	2006-07-02 16:43:22.000000000 +0200
+++ moc-2.4.1-modplug/config.example	2006-10-23 08:15:36.000000000 +0200
@@ -284,3 +284,40 @@
 
 # Display full paths instead of just file names in the playlist.
 #PlaylistFullPaths	= yes
+
+# Enable oversampling (yes/no)
+#ModPlug_Oversampling = yes
+# Enable noise reduction (yes/no)
+#ModPlug_NoiseReduction = yes
+# Enable reverb (yes/no)
+#ModPlug_Reverb = no
+# Enable mega-bass (yes/no)
+#ModPlug_MegaBass = no
+# Enable surround (yes/no)
+#ModPlug_Surround = no
+# Resampling mode. One of FIR/SPLINE/LINEAR/NEAREST
+# FIR :      8 tap fir filter (extremely high quality)
+# SPLINE :   Cubic spline interpolation (high quality)
+# LINEAR :   Linear interpolation (fast, good quality)
+# NEAREST :  No interpolation (very fast, extremely bad sound quality)
+#ModPlug_ResamplingMode = FIR
+# Number of channles (1 or 2)
+#ModPlug_Channels = 2
+# Bits per sample (8,16,32). 32 Bits seems ot be buggy...
+#ModPlug_Bits = 16 
+# Sampling rate (11025, 22050, 44100, 48000)
+#ModPlug_Frequency = 44100
+# Reverb level 0(quiet)-100(loud)
+#ModPlug_ReverbDepth = 0
+# Reverb delay in ms, usually 40-200ms
+#ModPlug_ReverbDelay = 0
+# Bass level 0(quiet)-100(loud)
+#ModPlug_BassAmount = 0
+# Bass cutoff in Hz (10-100)
+#ModPlug_BassRange = 10
+# Surround level 0(quiet)-100(heavy)
+#ModPlug_SurroundDepth = 0
+# Surround delay in ms, usually 5-40ms
+#ModPlug_SurroundDelay = 0
+# Number of times to loop. Zero prevents looping. -1 loops forever.
+#ModPlug_LoopCount = 0
diff -Naur moc-2.4.1/configure moc-2.4.1-modplug/configure
--- moc-2.4.1/configure	2006-10-08 17:38:06.000000000 +0200
+++ moc-2.4.1-modplug/configure	2006-10-23 08:15:36.000000000 +0200
@@ -885,6 +885,8 @@
 LIBFLAC_CFLAGS
 sndfile_CFLAGS
 sndfile_LIBS
+modplug_CFLAGS
+modplug_LIBS
 FFMPEG_CONFIG
 libavformat_CFLAGAS
 libavformat_LIBS
@@ -920,6 +922,8 @@
 OGG_VORBIS_LIBS
 sndfile_CFLAGS
 sndfile_LIBS
+modplug_CFLAGS
+modplug_LIBS
 libavformat_CFLAGS
 libavformat_LIBS
 speex_CFLAGS
@@ -1535,6 +1539,7 @@
   --with-libFLAC-libraries=DIR   Directory where libFLAC library is installed (optional)
   --with-libFLAC-includes=DIR   Directory where libFLAC header files are installed (optional)
   --without-sndfile       Compile without libsndfile
+  --without-modplug       Compile without libmodplug
   --without-ffmpeg        Compile without ffmpeg
   --without-speex         Compile without speex support
   --without-samplerate    Compile without libsamplerate
@@ -1566,6 +1571,10 @@
               C compiler flags for sndfile, overriding pkg-config
   sndfile_LIBS
               linker flags for sndfile, overriding pkg-config
+  modplug_CFLAGS
+              C compiler flags for modplug, overriding pkg-config
+  modplug_LIBS
+              linker flags for modplug, overriding pkg-config
   libavformat_CFLAGS
               C compiler flags for libavformat, overriding pkg-config
   libavformat_LIBS
@@ -4575,7 +4584,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4578 "configure"' > conftest.$ac_ext
+  echo '#line 4587 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -7539,11 +7548,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7542: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7551: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7546: \$? = $ac_status" >&5
+   echo "$as_me:7555: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7807,11 +7816,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7810: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7819: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7814: \$? = $ac_status" >&5
+   echo "$as_me:7823: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7911,11 +7920,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7914: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7923: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7918: \$? = $ac_status" >&5
+   echo "$as_me:7927: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10352,7 +10361,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10355 "configure"
+#line 10364 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10452,7 +10461,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10455 "configure"
+#line 10464 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12820,11 +12829,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12823: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12832: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12827: \$? = $ac_status" >&5
+   echo "$as_me:12836: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -12924,11 +12933,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12927: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12936: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12931: \$? = $ac_status" >&5
+   echo "$as_me:12940: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14485,11 +14494,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14488: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14497: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14492: \$? = $ac_status" >&5
+   echo "$as_me:14501: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14589,11 +14598,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14592: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14601: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14596: \$? = $ac_status" >&5
+   echo "$as_me:14605: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16808,11 +16817,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16811: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16820: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16815: \$? = $ac_status" >&5
+   echo "$as_me:16824: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -17076,11 +17085,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17079: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17088: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:17083: \$? = $ac_status" >&5
+   echo "$as_me:17092: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -17180,11 +17189,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17183: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17192: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:17187: \$? = $ac_status" >&5
+   echo "$as_me:17196: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -21247,7 +21256,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 21250 "configure"
+#line 21259 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -30964,6 +30973,87 @@
 fi
 
 
+# Check whether --with-modplug was given.
+if test "${with_modplug+set}" = set; then
+  withval=$with_modplug;
+fi
+
+if test "x$with_modplug" != "xno"
+then
+
+pkg_failed=no
+{ echo "$as_me:$LINENO: checking for modplug" >&5
+echo $ECHO_N "checking for modplug... $ECHO_C" >&6; }
+
+if test -n "$PKG_CONFIG"; then
+    if test -n "$modplug_CFLAGS"; then
+        pkg_cv_modplug_CFLAGS="$modplug_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libmodplug >= 0.7\"") >&5
+  ($PKG_CONFIG --exists --print-errors "libmodplug >= 0.7") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_modplug_CFLAGS=`$PKG_CONFIG --cflags "libmodplug >= 0.7" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$modplug_LIBS"; then
+        pkg_cv_modplug_LIBS="$modplug_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libmodplug >= 0.7\"") >&5
+  ($PKG_CONFIG --exists --print-errors "libmodplug >= 0.7") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_modplug_LIBS=`$PKG_CONFIG --libs "libmodplug >= 0.7" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        modplug_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libmodplug >= 0.7"`
+        else
+	        modplug_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libmodplug >= 0.7"`
+        fi
+	# Put the nasty error message in config.log where it belongs
+	echo "$modplug_PKG_ERRORS" >&5
+
+	true
+elif test $pkg_failed = untried; then
+	true
+else
+	modplug_CFLAGS=$pkg_cv_modplug_CFLAGS
+	modplug_LIBS=$pkg_cv_modplug_LIBS
+        { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+
+
+			   DECODER_PLUGINS="$DECODER_PLUGINS modplug"
+fi
+fi
+
+
 # Check whether --with-ffmpeg was given.
 if test "${with_ffmpeg+set}" = set; then
   withval=$with_ffmpeg;
@@ -31341,7 +31431,7 @@
 EXTRA_LIBS="$EXTRA_LIBS $CURSES_LIB"
 
 
-ac_config_files="$ac_config_files Makefile themes/Makefile decoder_plugins/Makefile decoder_plugins/mp3/Makefile decoder_plugins/vorbis/Makefile decoder_plugins/flac/Makefile decoder_plugins/sndfile/Makefile decoder_plugins/speex/Makefile decoder_plugins/musepack/Makefile decoder_plugins/ffmpeg/Makefile moc.spec"
+ac_config_files="$ac_config_files Makefile themes/Makefile decoder_plugins/Makefile decoder_plugins/mp3/Makefile decoder_plugins/vorbis/Makefile decoder_plugins/flac/Makefile decoder_plugins/sndfile/Makefile decoder_plugins/speex/Makefile decoder_plugins/musepack/Makefile decoder_plugins/ffmpeg/Makefile decoder_plugins/modplug/Makefile moc.spec"
 
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
@@ -31944,6 +32034,7 @@
     "decoder_plugins/speex/Makefile") CONFIG_FILES="$CONFIG_FILES decoder_plugins/speex/Makefile" ;;
     "decoder_plugins/musepack/Makefile") CONFIG_FILES="$CONFIG_FILES decoder_plugins/musepack/Makefile" ;;
     "decoder_plugins/ffmpeg/Makefile") CONFIG_FILES="$CONFIG_FILES decoder_plugins/ffmpeg/Makefile" ;;
+    "decoder_plugins/modplug/Makefile") CONFIG_FILES="$CONFIG_FILES decoder_plugins/modplug/Makefile" ;;
     "moc.spec") CONFIG_FILES="$CONFIG_FILES moc.spec" ;;
 
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
@@ -32180,6 +32271,8 @@
 LIBFLAC_CFLAGS!$LIBFLAC_CFLAGS$ac_delim
 sndfile_CFLAGS!$sndfile_CFLAGS$ac_delim
 sndfile_LIBS!$sndfile_LIBS$ac_delim
+modplug_CFLAGS!$modplug_CFLAGS$ac_delim
+modplug_LIBS!$modplug_LIBS$ac_delim
 FFMPEG_CONFIG!$FFMPEG_CONFIG$ac_delim
 libavformat_CFLAGAS!$libavformat_CFLAGAS$ac_delim
 libavformat_LIBS!$libavformat_LIBS$ac_delim
@@ -32193,7 +32286,7 @@
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 45; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 47; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff -Naur moc-2.4.1/configure.in moc-2.4.1-modplug/configure.in
--- moc-2.4.1/configure.in	2006-10-08 17:37:28.000000000 +0200
+++ moc-2.4.1-modplug/configure.in	2006-10-23 08:15:36.000000000 +0200
@@ -360,6 +360,18 @@
 			   [true])
 fi
 
+dnl libmodplug
+AC_ARG_WITH(modplug, AS_HELP_STRING(--without-modplug,
+	    Compile without libmodplug))
+if test "x$with_modplug" != "xno"
+then
+	PKG_CHECK_MODULES(modplug, libmodplug >= 0.7,
+			   [AC_SUBST(modplug_LIBS)
+			   AC_SUBST(modplug_CFLAGS)
+			   DECODER_PLUGINS="$DECODER_PLUGINS modplug"],
+			   [true])
+fi
+
 dnl ffmpeg
 AC_ARG_WITH(ffmpeg, AS_HELP_STRING(--without-ffmpeg,
 	    Compile without ffmpeg))
@@ -457,6 +469,7 @@
 	  decoder_plugins/speex/Makefile
 	  decoder_plugins/musepack/Makefile
 	  decoder_plugins/ffmpeg/Makefile
+          decoder_plugins/modplug/Makefile
 	  moc.spec
 	  ])
 
diff -Naur moc-2.4.1/decoder_plugins/ffmpeg/Makefile.in moc-2.4.1-modplug/decoder_plugins/ffmpeg/Makefile.in
--- moc-2.4.1/decoder_plugins/ffmpeg/Makefile.in	2006-10-08 17:38:01.000000000 +0200
+++ moc-2.4.1-modplug/decoder_plugins/ffmpeg/Makefile.in	2006-10-23 08:15:36.000000000 +0200
@@ -202,6 +202,8 @@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
+modplug_CFLAGS = @modplug_CFLAGS@
+modplug_LIBS = @modplug_LIBS@
 oldincludedir = @oldincludedir@
 pdfdir = @pdfdir@
 plugindir = @plugindir@
diff -Naur moc-2.4.1/decoder_plugins/flac/Makefile.in moc-2.4.1-modplug/decoder_plugins/flac/Makefile.in
--- moc-2.4.1/decoder_plugins/flac/Makefile.in	2006-10-08 17:38:01.000000000 +0200
+++ moc-2.4.1-modplug/decoder_plugins/flac/Makefile.in	2006-10-23 08:15:36.000000000 +0200
@@ -202,6 +202,8 @@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
+modplug_CFLAGS = @modplug_CFLAGS@
+modplug_LIBS = @modplug_LIBS@
 oldincludedir = @oldincludedir@
 pdfdir = @pdfdir@
 plugindir = @plugindir@
diff -Naur moc-2.4.1/decoder_plugins/Makefile.in moc-2.4.1-modplug/decoder_plugins/Makefile.in
--- moc-2.4.1/decoder_plugins/Makefile.in	2006-10-08 17:38:01.000000000 +0200
+++ moc-2.4.1-modplug/decoder_plugins/Makefile.in	2006-10-23 08:15:36.000000000 +0200
@@ -184,6 +184,8 @@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
+modplug_CFLAGS = @modplug_CFLAGS@
+modplug_LIBS = @modplug_LIBS@
 oldincludedir = @oldincludedir@
 pdfdir = @pdfdir@
 plugindir = @plugindir@
diff -Naur moc-2.4.1/decoder_plugins/modplug/Makefile.am moc-2.4.1-modplug/decoder_plugins/modplug/Makefile.am
--- moc-2.4.1/decoder_plugins/modplug/Makefile.am	1970-01-01 01:00:00.000000000 +0100
+++ moc-2.4.1-modplug/decoder_plugins/modplug/Makefile.am	2006-10-23 08:15:36.000000000 +0200
@@ -0,0 +1,6 @@
+lib_LTLIBRARIES = libmodplug_decoder.la
+libdir = $(plugindir)/$(DECODER_PLUGIN_DIR)
+libmodplug_decoder_la_LDFLAGS = @PLUGIN_LDFLAGS@
+libmodplug_decoder_la_LIBADD = $(modplug_LIBS)
+libmodplug_decoder_la_CFLAGS = $(modplug_CFLAGS) -I$(top_srcdir)
+libmodplug_decoder_la_SOURCES = modplug.c
diff -Naur moc-2.4.1/decoder_plugins/modplug/Makefile.in moc-2.4.1-modplug/decoder_plugins/modplug/Makefile.in
--- moc-2.4.1/decoder_plugins/modplug/Makefile.in	1970-01-01 01:00:00.000000000 +0100
+++ moc-2.4.1-modplug/decoder_plugins/modplug/Makefile.in	2006-10-23 08:15:36.000000000 +0200
@@ -0,0 +1,509 @@
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
+# @configure_input@
+
+# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
+# 2003, 2004, 2005  Free Software Foundation, Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+@SET_MAKE@
+
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH = @srcdir@
+pkgdatadir = $(datadir)/@PACKAGE@
+pkglibdir = $(libdir)/@PACKAGE@
+pkgincludedir = $(includedir)/@PACKAGE@
+top_builddir = ../..
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+INSTALL = @INSTALL@
+install_sh_DATA = $(install_sh) -c -m 644
+install_sh_PROGRAM = $(install_sh) -c
+install_sh_SCRIPT = $(install_sh) -c
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+build_triplet = @build@
+host_triplet = @host@
+subdir = decoder_plugins/modplug
+DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+am__aclocal_m4_deps = $(top_srcdir)/m4/acx_pthread.m4 \
+	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
+	$(top_srcdir)/m4/lrintf.m4 $(top_srcdir)/m4/mp_with_curses.m4 \
+	$(top_srcdir)/configure.in
+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
+	$(ACLOCAL_M4)
+mkinstalldirs = $(install_sh) -d
+CONFIG_HEADER = $(top_builddir)/config.h
+CONFIG_CLEAN_FILES =
+am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
+am__vpath_adj = case $$p in \
+    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
+    *) f=$$p;; \
+  esac;
+am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
+am__installdirs = "$(DESTDIR)$(libdir)"
+libLTLIBRARIES_INSTALL = $(INSTALL)
+LTLIBRARIES = $(lib_LTLIBRARIES)
+am__DEPENDENCIES_1 =
+libmodplug_decoder_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
+am_libmodplug_decoder_la_OBJECTS = libmodplug_decoder_la-modplug.lo
+libmodplug_decoder_la_OBJECTS = $(am_libmodplug_decoder_la_OBJECTS)
+DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
+depcomp = $(SHELL) $(top_srcdir)/depcomp
+am__depfiles_maybe = depfiles
+COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
+	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
+	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
+	$(AM_CFLAGS) $(CFLAGS)
+CCLD = $(CC)
+LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
+	$(AM_LDFLAGS) $(LDFLAGS) -o $@
+SOURCES = $(libmodplug_decoder_la_SOURCES)
+DIST_SOURCES = $(libmodplug_decoder_la_SOURCES)
+ETAGS = etags
+CTAGS = ctags
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+ACLOCAL = @ACLOCAL@
+ALSA_CFLAGS = @ALSA_CFLAGS@
+ALSA_LIBS = @ALSA_LIBS@
+AMDEP_FALSE = @AMDEP_FALSE@
+AMDEP_TRUE = @AMDEP_TRUE@
+AMTAR = @AMTAR@
+AR = @AR@
+AUTOCONF = @AUTOCONF@
+AUTOHEADER = @AUTOHEADER@
+AUTOMAKE = @AUTOMAKE@
+AWK = @AWK@
+CC = @CC@
+CCDEPMODE = @CCDEPMODE@
+CFLAGS = @CFLAGS@
+CONVENIENCE_LTDL_FALSE = @CONVENIENCE_LTDL_FALSE@
+CONVENIENCE_LTDL_TRUE = @CONVENIENCE_LTDL_TRUE@
+CPP = @CPP@
+CPPFLAGS = @CPPFLAGS@
+CURL_CONFIG = @CURL_CONFIG@
+CXX = @CXX@
+CXXCPP = @CXXCPP@
+CXXDEPMODE = @CXXDEPMODE@
+CXXFLAGS = @CXXFLAGS@
+CYGPATH_W = @CYGPATH_W@
+DECODER_PLUGINS = @DECODER_PLUGINS@
+DECODER_PLUGIN_DIR = @DECODER_PLUGIN_DIR@
+DEFS = @DEFS@
+DEPDIR = @DEPDIR@
+ECHO = @ECHO@
+ECHO_C = @ECHO_C@
+ECHO_N = @ECHO_N@
+ECHO_T = @ECHO_T@
+EGREP = @EGREP@
+EXEEXT = @EXEEXT@
+EXTRA_LIBS = @EXTRA_LIBS@
+EXTRA_OBJS = @EXTRA_OBJS@
+F77 = @F77@
+FFLAGS = @FFLAGS@
+FFMPEG_CONFIG = @FFMPEG_CONFIG@
+GREP = @GREP@
+INSTALL_DATA = @INSTALL_DATA@
+INSTALL_LTDL_FALSE = @INSTALL_LTDL_FALSE@
+INSTALL_LTDL_TRUE = @INSTALL_LTDL_TRUE@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+JACK_CFLAGS = @JACK_CFLAGS@
+JACK_LIBS = @JACK_LIBS@
+LDFLAGS = @LDFLAGS@
+LIBADD_DL = @LIBADD_DL@
+LIBFLAC_CFLAGS = @LIBFLAC_CFLAGS@
+LIBFLAC_LIBS = @LIBFLAC_LIBS@
+LIBOBJS = @LIBOBJS@
+LIBS = @LIBS@
+LIBTOOL = @LIBTOOL@
+LN_S = @LN_S@
+LTLIBOBJS = @LTLIBOBJS@
+MAKEINFO = @MAKEINFO@
+MUSEPACK_LIBS = @MUSEPACK_LIBS@
+OBJEXT = @OBJEXT@
+OGG_VORBIS_CFLAGS = @OGG_VORBIS_CFLAGS@
+OGG_VORBIS_LIBS = @OGG_VORBIS_LIBS@
+PACKAGE = @PACKAGE@
+PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+PACKAGE_NAME = @PACKAGE_NAME@
+PACKAGE_STRING = @PACKAGE_STRING@
+PACKAGE_TARNAME = @PACKAGE_TARNAME@
+PACKAGE_VERSION = @PACKAGE_VERSION@
+PATH_SEPARATOR = @PATH_SEPARATOR@
+PKG_CONFIG = @PKG_CONFIG@
+PLUGIN_LDFLAGS = @PLUGIN_LDFLAGS@
+PTHREAD_CC = @PTHREAD_CC@
+PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
+PTHREAD_LIBS = @PTHREAD_LIBS@
+RANLIB = @RANLIB@
+RCC_LIBS = @RCC_LIBS@
+SET_MAKE = @SET_MAKE@
+SHELL = @SHELL@
+STRIP = @STRIP@
+TAGLIB_CFLAGS = @TAGLIB_CFLAGS@
+TAGLIB_CONFIG = @TAGLIB_CONFIG@
+TAGLIB_LIBS = @TAGLIB_LIBS@
+VERSION = @VERSION@
+ac_ct_CC = @ac_ct_CC@
+ac_ct_CXX = @ac_ct_CXX@
+ac_ct_F77 = @ac_ct_F77@
+acx_pthread_config = @acx_pthread_config@
+am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
+am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
+am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
+am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
+am__include = @am__include@
+am__leading_dot = @am__leading_dot@
+am__quote = @am__quote@
+am__tar = @am__tar@
+am__untar = @am__untar@
+bindir = @bindir@
+build = @build@
+build_alias = @build_alias@
+build_cpu = @build_cpu@
+build_os = @build_os@
+build_vendor = @build_vendor@
+datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
+exec_prefix = @exec_prefix@
+host = @host@
+host_alias = @host_alias@
+host_cpu = @host_cpu@
+host_os = @host_os@
+host_vendor = @host_vendor@
+htmldir = @htmldir@
+includedir = @includedir@
+infodir = @infodir@
+install_sh = @install_sh@
+libavformat_CFLAGAS = @libavformat_CFLAGAS@
+libavformat_CFLAGS = @libavformat_CFLAGS@
+libavformat_LIBS = @libavformat_LIBS@
+libdir = $(plugindir)/$(DECODER_PLUGIN_DIR)
+libexecdir = @libexecdir@
+localedir = @localedir@
+localstatedir = @localstatedir@
+mandir = @mandir@
+mkdir_p = @mkdir_p@
+modplug_CFLAGS = @modplug_CFLAGS@
+modplug_LIBS = @modplug_LIBS@
+oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
+plugindir = @plugindir@
+prefix = @prefix@
+program_transform_name = @program_transform_name@
+psdir = @psdir@
+samplerate_CFLAGS = @samplerate_CFLAGS@
+samplerate_LIBS = @samplerate_LIBS@
+sbindir = @sbindir@
+sharedstatedir = @sharedstatedir@
+sndfile_CFLAGS = @sndfile_CFLAGS@
+sndfile_LIBS = @sndfile_LIBS@
+speex_CFLAGS = @speex_CFLAGS@
+speex_LIBS = @speex_LIBS@
+sysconfdir = @sysconfdir@
+target_alias = @target_alias@
+lib_LTLIBRARIES = libmodplug_decoder.la
+libmodplug_decoder_la_LDFLAGS = @PLUGIN_LDFLAGS@
+libmodplug_decoder_la_LIBADD = $(modplug_LIBS)
+libmodplug_decoder_la_CFLAGS = $(modplug_CFLAGS) -I$(top_srcdir)
+libmodplug_decoder_la_SOURCES = modplug.c
+all: all-am
+
+.SUFFIXES:
+.SUFFIXES: .c .lo .o .obj
+$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
+	@for dep in $?; do \
+	  case '$(am__configure_deps)' in \
+	    *$$dep*) \
+	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
+		&& exit 0; \
+	      exit 1;; \
+	  esac; \
+	done; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  decoder_plugins/modplug/Makefile'; \
+	cd $(top_srcdir) && \
+	  $(AUTOMAKE) --gnu  decoder_plugins/modplug/Makefile
+.PRECIOUS: Makefile
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+	@case '$?' in \
+	  *config.status*) \
+	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
+	  *) \
+	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
+	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
+	esac;
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure:  $(am__configure_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+install-libLTLIBRARIES: $(lib_LTLIBRARIES)
+	@$(NORMAL_INSTALL)
+	test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
+	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
+	  if test -f $$p; then \
+	    f=$(am__strip_dir) \
+	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
+	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
+	  else :; fi; \
+	done
+
+uninstall-libLTLIBRARIES:
+	@$(NORMAL_UNINSTALL)
+	@set -x; list='$(lib_LTLIBRARIES)'; for p in $$list; do \
+	  p=$(am__strip_dir) \
+	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
+	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
+	done
+
+clean-libLTLIBRARIES:
+	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
+	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
+	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
+	  test "$$dir" != "$$p" || dir=.; \
+	  echo "rm -f \"$${dir}/so_locations\""; \
+	  rm -f "$${dir}/so_locations"; \
+	done
+libmodplug_decoder.la: $(libmodplug_decoder_la_OBJECTS) $(libmodplug_decoder_la_DEPENDENCIES) 
+	$(LINK) -rpath $(libdir) $(libmodplug_decoder_la_LDFLAGS) $(libmodplug_decoder_la_OBJECTS) $(libmodplug_decoder_la_LIBADD) $(LIBS)
+
+mostlyclean-compile:
+	-rm -f *.$(OBJEXT)
+
+distclean-compile:
+	-rm -f *.tab.c
+
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmodplug_decoder_la-modplug.Plo@am__quote@
+
+.c.o:
+@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
+@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@	$(COMPILE) -c $<
+
+.c.obj:
+@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
+@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
+
+.c.lo:
+@am__fastdepCC_TRUE@	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
+@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
+
+libmodplug_decoder_la-modplug.lo: modplug.c
+@am__fastdepCC_TRUE@	if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmodplug_decoder_la_CFLAGS) $(CFLAGS) -MT libmodplug_decoder_la-modplug.lo -MD -MP -MF "$(DEPDIR)/libmodplug_decoder_la-modplug.Tpo" -c -o libmodplug_decoder_la-modplug.lo `test -f 'modplug.c' || echo '$(srcdir)/'`modplug.c; \
+@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/libmodplug_decoder_la-modplug.Tpo" "$(DEPDIR)/libmodplug_decoder_la-modplug.Plo"; else rm -f "$(DEPDIR)/libmodplug_decoder_la-modplug.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='modplug.c' object='libmodplug_decoder_la-modplug.lo' libtool=yes @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmodplug_decoder_la_CFLAGS) $(CFLAGS) -c -o libmodplug_decoder_la-modplug.lo `test -f 'modplug.c' || echo '$(srcdir)/'`modplug.c
+
+mostlyclean-libtool:
+	-rm -f *.lo
+
+clean-libtool:
+	-rm -rf .libs _libs
+
+distclean-libtool:
+	-rm -f libtool
+uninstall-info-am:
+
+ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
+	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
+	unique=`for i in $$list; do \
+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+	  done | \
+	  $(AWK) '    { files[$$0] = 1; } \
+	       END { for (i in files) print i; }'`; \
+	mkid -fID $$unique
+tags: TAGS
+
+TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+		$(TAGS_FILES) $(LISP)
+	tags=; \
+	here=`pwd`; \
+	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
+	unique=`for i in $$list; do \
+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+	  done | \
+	  $(AWK) '    { files[$$0] = 1; } \
+	       END { for (i in files) print i; }'`; \
+	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
+	  test -n "$$unique" || unique=$$empty_fix; \
+	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
+	    $$tags $$unique; \
+	fi
+ctags: CTAGS
+CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+		$(TAGS_FILES) $(LISP)
+	tags=; \
+	here=`pwd`; \
+	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
+	unique=`for i in $$list; do \
+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+	  done | \
+	  $(AWK) '    { files[$$0] = 1; } \
+	       END { for (i in files) print i; }'`; \
+	test -z "$(CTAGS_ARGS)$$tags$$unique" \
+	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
+	     $$tags $$unique
+
+GTAGS:
+	here=`$(am__cd) $(top_builddir) && pwd` \
+	  && cd $(top_srcdir) \
+	  && gtags -i $(GTAGS_ARGS) $$here
+
+distclean-tags:
+	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
+
+distdir: $(DISTFILES)
+	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
+	list='$(DISTFILES)'; for file in $$list; do \
+	  case $$file in \
+	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
+	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
+	  esac; \
+	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
+	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
+	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
+	    dir="/$$dir"; \
+	    $(mkdir_p) "$(distdir)$$dir"; \
+	  else \
+	    dir=''; \
+	  fi; \
+	  if test -d $$d/$$file; then \
+	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
+	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
+	    fi; \
+	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
+	  else \
+	    test -f $(distdir)/$$file \
+	    || cp -p $$d/$$file $(distdir)/$$file \
+	    || exit 1; \
+	  fi; \
+	done
+check-am: all-am
+check: check-am
+all-am: Makefile $(LTLIBRARIES)
+installdirs:
+	for dir in "$(DESTDIR)$(libdir)"; do \
+	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
+	done
+install: install-am
+install-exec: install-exec-am
+install-data: install-data-am
+uninstall: uninstall-am
+
+install-am: all-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-am
+install-strip:
+	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+	  `test -z '$(STRIP)' || \
+	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+mostlyclean-generic:
+
+clean-generic:
+
+distclean-generic:
+	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+
+maintainer-clean-generic:
+	@echo "This command is intended for maintainers to use"
+	@echo "it deletes files that may require special tools to rebuild."
+clean: clean-am
+
+clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
+	mostlyclean-am
+
+distclean: distclean-am
+	-rm -rf ./$(DEPDIR)
+	-rm -f Makefile
+distclean-am: clean-am distclean-compile distclean-generic \
+	distclean-libtool distclean-tags
+
+dvi: dvi-am
+
+dvi-am:
+
+html: html-am
+
+info: info-am
+
+info-am:
+
+install-data-am:
+
+install-exec-am: install-libLTLIBRARIES
+
+install-info: install-info-am
+
+install-man:
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-am
+	-rm -rf ./$(DEPDIR)
+	-rm -f Makefile
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-am
+
+mostlyclean-am: mostlyclean-compile mostlyclean-generic \
+	mostlyclean-libtool
+
+pdf: pdf-am
+
+pdf-am:
+
+ps: ps-am
+
+ps-am:
+
+uninstall-am: uninstall-info-am uninstall-libLTLIBRARIES
+
+.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
+	clean-libLTLIBRARIES clean-libtool ctags distclean \
+	distclean-compile distclean-generic distclean-libtool \
+	distclean-tags distdir dvi dvi-am html html-am info info-am \
+	install install-am install-data install-data-am install-exec \
+	install-exec-am install-info install-info-am \
+	install-libLTLIBRARIES install-man install-strip installcheck \
+	installcheck-am installdirs maintainer-clean \
+	maintainer-clean-generic mostlyclean mostlyclean-compile \
+	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
+	tags uninstall uninstall-am uninstall-info-am \
+	uninstall-libLTLIBRARIES
+
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:
diff -Naur moc-2.4.1/decoder_plugins/modplug/modplug.c moc-2.4.1-modplug/decoder_plugins/modplug/modplug.c
--- moc-2.4.1/decoder_plugins/modplug/modplug.c	1970-01-01 01:00:00.000000000 +0100
+++ moc-2.4.1-modplug/decoder_plugins/modplug/modplug.c	2006-10-23 08:19:10.000000000 +0200
@@ -0,0 +1,346 @@
+/*
+ * MOC - music on console
+ * Copyright (C) 2004 Damian Pietras <daper@daper.net>
+ *
+ * libmodplug-plugin Copyright (C) 2006 Hendrik Iben <hiben@tzi.de>
+ * Enables MOC to play modules via libmodplug (actually just a wrapper around
+ * libmodplug's C-wrapper... :-)).
+ *
+ * Based on ideas from G"urkan Seng"un's modplugplay. A command line
+ * interface to the modplugxmms library.
+ * Structure of this plugin is an adaption of the libsndfile-plugin from
+ * moc.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#define DEBUG
+
+#include <ctype.h> // for toupper
+#include <string.h>
+#include "io.h"
+#include "decoder.h"
+#include "log.h"
+#include "files.h"
+#include "common.h"
+#include "options.h"
+#include <libmodplug/modplug.h>
+
+// Limiting maximum size for loading a module was suggested by Damian.
+// I've never seen such a large module so this should be a safe limit...
+#ifndef MAXMODSIZE
+#define MAXMODSIZE 1024*1024*42
+#endif
+
+ModPlug_Settings settings;
+
+struct modplug_data
+{
+  ModPlugFile *modplugfile;
+  int length;
+  char *filedata;
+  struct decoder_error error;
+};
+
+#ifdef DEBUG
+// this is needed because debugging in plugin_init gets lost
+// The alternative is to debug settings when opening a file
+// but settings never change so I need a flag to check if it
+// has been done...
+static int doDebugSettings=1;
+
+static void debugSettings(void)
+{
+  debug("\n\
+ModPlug-Settings:\n\
+Oversampling : %s\n\
+NoiseReduction : %s\n\
+Reverb : %s\n\
+MegaBass : %s\n\
+Surround : %s\n\
+ResamplingMode : %s\n\
+Channels : %d\n\
+Bits : %d\n\
+Frequency : %d\n\
+ReverbDepth : %d\n\
+ReverbDelay : %d\n\
+BassAmount : %d\n\
+BassRange : %d\n\
+SurroundDepth : %d\n\
+SurroundDelay : %d\n\
+LoopCount : %d",
+   (settings.mFlags & MODPLUG_ENABLE_OVERSAMPLING)?"yes":"no"
+  ,(settings.mFlags & MODPLUG_ENABLE_NOISE_REDUCTION)?"yes":"no"
+  ,(settings.mFlags & MODPLUG_ENABLE_REVERB)?"yes":"no"
+  ,(settings.mFlags & MODPLUG_ENABLE_MEGABASS)?"yes":"no"
+  ,(settings.mFlags & MODPLUG_ENABLE_SURROUND)?"yes":"no"
+  ,(settings.mResamplingMode == MODPLUG_RESAMPLE_FIR)?"8-tap fir":
+    (settings.mResamplingMode == MODPLUG_RESAMPLE_SPLINE)?"spline":
+    (settings.mResamplingMode == MODPLUG_RESAMPLE_LINEAR)?"linear":
+    (settings.mResamplingMode == MODPLUG_RESAMPLE_NEAREST)?"nearest":"?"
+  ,settings.mChannels
+  ,settings.mBits
+  ,settings.mFrequency
+  ,settings.mReverbDepth
+  ,settings.mReverbDelay
+  ,settings.mBassAmount
+  ,settings.mBassRange
+  ,settings.mSurroundDepth
+  ,settings.mSurroundDelay
+  ,settings.mLoopCount
+  );
+}
+#endif
+
+static struct modplug_data *make_modplug_data(const char *file) {
+  struct modplug_data *data;
+
+  data = (struct modplug_data *)xmalloc (sizeof(struct modplug_data));
+
+  data->modplugfile = NULL;
+  data->filedata = NULL;
+  decoder_error_init (&data->error);
+
+  struct io_stream *s = io_open(file, 0);
+  if(s==NULL) {
+    decoder_error(&data->error, ERROR_FATAL, 0, "Can't open file: %s", file);
+    return data;
+  }
+  
+  ssize_t size = io_file_size(s);
+
+  if(size>MAXMODSIZE) {
+    io_close(s);
+    decoder_error(&data->error, ERROR_FATAL, 0, "Module to big! 42M ain't enough ? (%s)", file);
+    return data;
+  }
+  
+  data->filedata = (char *)xmalloc(size);
+
+  io_read(s, data->filedata, size);
+  io_close(s);
+
+  data->modplugfile=ModPlug_Load(data->filedata, size);
+
+  if(data->modplugfile==NULL) {
+    free(data->filedata);
+    decoder_error(&data->error, ERROR_FATAL, 0, "Can't load module: %s", file);
+    return data;
+  }
+
+  return data;
+}
+
+static void *modplug_open (const char *file)
+{
+
+// this is not really needed but without it the calls would still be made
+// and thus time gets wasted...
+#ifdef DEBUG
+  if(doDebugSettings) {
+    doDebugSettings=0;
+    debugSettings();
+  }
+#endif
+
+  struct modplug_data *data = make_modplug_data(file);
+
+  if(data->modplugfile) {
+    data->length = ModPlug_GetLength(data->modplugfile); 
+  }
+
+  if(data->modplugfile) {
+    debug ("Opened file %s", file);
+  }
+
+  return data;
+}
+
+static void modplug_close (void *void_data)
+{
+  struct modplug_data *data = (struct modplug_data *)void_data;
+
+  if (data->modplugfile) {
+    ModPlug_Unload(data->modplugfile);
+    free(data->filedata);
+  }
+  free (data);
+}
+
+static void modplug_info (const char *file_name, struct file_tags *info,
+		const int tags_sel)
+{
+  struct modplug_data *data = make_modplug_data(file_name);
+
+  if(data->modplugfile==NULL)
+    return;
+
+  if(tags_sel & TAGS_TIME) {
+    info->time = ModPlug_GetLength(data->modplugfile) / 1000;
+    info->filled |= TAGS_TIME;
+  }
+
+  if(tags_sel & TAGS_COMMENTS) {
+    info->title = xstrdup(ModPlug_GetName(data->modplugfile));
+    info->filled |= TAGS_COMMENTS;
+  }
+
+  modplug_close(data);  
+}
+
+static int modplug_seek (void *void_data, int sec)
+{
+  struct modplug_data *data = (struct modplug_data *)void_data;
+
+  int ms = sec*1000;
+
+  ms = (ms>data->length)?data->length:((ms<0)?0:ms);
+
+  ModPlug_Seek(data->modplugfile, ms);
+
+  return ms/1000;
+}
+
+static int modplug_decode (void *void_data, char *buf, int buf_len,
+		struct sound_params *sound_params)
+{
+  struct modplug_data *data = (struct modplug_data *)void_data;
+  
+  sound_params->channels = settings.mChannels;
+  sound_params->rate = settings.mFrequency;
+  sound_params->fmt = ((settings.mBits==16)?SFMT_S16:(settings.mBits==8)?SFMT_S8:SFMT_S32) | SFMT_NE;
+
+  return ModPlug_Read(data->modplugfile, buf, buf_len);
+}
+
+static int modplug_get_bitrate (void *void_data ATTR_UNUSED)
+{
+  return -1;
+}
+
+static int modplug_get_duration (void *void_data)
+{
+  struct modplug_data *data = (struct modplug_data *)void_data;
+  return data->length/1000;
+}
+
+
+
+static void modplug_get_name (const char *file, char buf[4])
+{
+  char *ext = ext_pos (file);
+
+  strncpy(buf, ext, 3);
+
+  unsigned int i;
+
+  for(i=0;i<strlen(ext);i++)
+    buf[i]=toupper(buf[i]);
+}
+
+static int modplug_our_format_ext(const char *ext)
+{
+  return
+    !strcasecmp(ext, "NONE") ||
+    !strcasecmp(ext, "MOD") ||
+    !strcasecmp(ext, "S3M") ||
+    !strcasecmp(ext, "XM") ||
+    !strcasecmp(ext, "MED") ||
+    !strcasecmp(ext, "MTM") ||
+    !strcasecmp(ext, "IT") ||
+    !strcasecmp(ext, "669") ||
+    !strcasecmp(ext, "ULT") ||
+    !strcasecmp(ext, "STM") ||
+    !strcasecmp(ext, "FAR") ||
+    // WAVs should be processed by libsndfile
+    //!strcasecmp(ext, "WAV") ||
+    !strcasecmp(ext, "AMF") ||
+    !strcasecmp(ext, "AMS") ||
+    !strcasecmp(ext, "DSM") ||
+    !strcasecmp(ext, "MDL") ||
+    !strcasecmp(ext, "OKT") ||
+    // modplug can do MIDI but not in this form...
+    //!strcasecmp(ext, "MID") ||
+    !strcasecmp(ext, "DMF") ||
+    !strcasecmp(ext, "PTM") ||
+    !strcasecmp(ext, "DBM") ||
+    !strcasecmp(ext, "MT2") ||
+    !strcasecmp(ext, "AMF0") ||
+    !strcasecmp(ext, "PSM") ||
+    !strcasecmp(ext, "J2B") ||
+    !strcasecmp(ext, "UMX");
+}
+
+static void modplug_get_error (void *prv_data, struct decoder_error *error)
+{
+  struct modplug_data *data = (struct modplug_data *)prv_data;
+  
+  decoder_error_copy (error, &data->error);
+}
+
+static struct decoder modplug_decoder =
+{
+  DECODER_API_VERSION,
+  NULL,
+  NULL,
+  modplug_open,
+  NULL,
+  NULL,
+  modplug_close,
+  modplug_decode,
+  modplug_seek,
+  modplug_info,
+  modplug_get_bitrate,
+  modplug_get_duration,
+  modplug_get_error,
+  modplug_our_format_ext,
+  NULL,
+  modplug_get_name,
+  NULL,
+  NULL
+};
+
+struct decoder *plugin_init ()
+{
+  ModPlug_GetSettings(&settings);
+  settings.mFlags = 0;
+  settings.mFlags |= options_get_int("ModPlug_Oversampling")
+    ?MODPLUG_ENABLE_OVERSAMPLING:0;
+  settings.mFlags |= options_get_int("ModPlug_NoiseReduction")
+    ?MODPLUG_ENABLE_NOISE_REDUCTION:0;
+  settings.mFlags |= options_get_int("ModPlug_Reverb")
+    ?MODPLUG_ENABLE_REVERB:0;
+  settings.mFlags |= options_get_int("ModPlug_MegaBass")
+    ?MODPLUG_ENABLE_MEGABASS:0;
+  settings.mFlags |= options_get_int("ModPlug_Surround")
+    ?MODPLUG_ENABLE_SURROUND:0;
+  if(!strcasecmp(options_get_str("ModPlug_ResamplingMode"), "FIR"))
+    settings.mResamplingMode = MODPLUG_RESAMPLE_FIR;
+  if(!strcasecmp(options_get_str("ModPlug_ResamplingMode"), "SPLINE"))
+    settings.mResamplingMode = MODPLUG_RESAMPLE_SPLINE;
+  if(!strcasecmp(options_get_str("ModPlug_ResamplingMode"), "LINEAR"))
+    settings.mResamplingMode = MODPLUG_RESAMPLE_LINEAR;
+  if(!strcasecmp(options_get_str("ModPlug_ResamplingMode"), "NEAREST"))
+    settings.mResamplingMode = MODPLUG_RESAMPLE_NEAREST;
+  settings.mChannels = options_get_int("ModPlug_Channels");
+  settings.mBits = options_get_int("ModPlug_Bits");
+  settings.mFrequency = options_get_int("ModPlug_Frequency");
+  settings.mReverbDepth = options_get_int("ModPlug_ReverbDepth"); 
+  settings.mReverbDelay = options_get_int("ModPlug_ReverbDelay"); 
+  settings.mBassAmount = options_get_int("ModPlug_BassAmount"); 
+  settings.mBassRange = options_get_int("ModPlug_BassRange"); 
+  settings.mSurroundDepth = options_get_int("ModPlug_SurroundDepth");
+  settings.mSurroundDelay = options_get_int("ModPlug_SurroundDelay");
+  settings.mLoopCount = options_get_int("ModPlug_LoopCount"); 
+  ModPlug_SetSettings(&settings);
+  return &modplug_decoder;
+}
+
diff -Naur moc-2.4.1/decoder_plugins/mp3/Makefile.in moc-2.4.1-modplug/decoder_plugins/mp3/Makefile.in
--- moc-2.4.1/decoder_plugins/mp3/Makefile.in	2006-10-08 17:38:01.000000000 +0200
+++ moc-2.4.1-modplug/decoder_plugins/mp3/Makefile.in	2006-10-23 08:15:36.000000000 +0200
@@ -203,6 +203,8 @@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
+modplug_CFLAGS = @modplug_CFLAGS@
+modplug_LIBS = @modplug_LIBS@
 oldincludedir = @oldincludedir@
 pdfdir = @pdfdir@
 plugindir = @plugindir@
diff -Naur moc-2.4.1/decoder_plugins/musepack/Makefile.in moc-2.4.1-modplug/decoder_plugins/musepack/Makefile.in
--- moc-2.4.1/decoder_plugins/musepack/Makefile.in	2006-10-08 17:38:01.000000000 +0200
+++ moc-2.4.1-modplug/decoder_plugins/musepack/Makefile.in	2006-10-23 08:15:36.000000000 +0200
@@ -204,6 +204,8 @@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
+modplug_CFLAGS = @modplug_CFLAGS@
+modplug_LIBS = @modplug_LIBS@
 oldincludedir = @oldincludedir@
 pdfdir = @pdfdir@
 plugindir = @plugindir@
diff -Naur moc-2.4.1/decoder_plugins/sndfile/Makefile.in moc-2.4.1-modplug/decoder_plugins/sndfile/Makefile.in
--- moc-2.4.1/decoder_plugins/sndfile/Makefile.in	2006-10-08 17:38:01.000000000 +0200
+++ moc-2.4.1-modplug/decoder_plugins/sndfile/Makefile.in	2006-10-23 08:15:36.000000000 +0200
@@ -204,6 +204,8 @@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
+modplug_CFLAGS = @modplug_CFLAGS@
+modplug_LIBS = @modplug_LIBS@
 oldincludedir = @oldincludedir@
 pdfdir = @pdfdir@
 plugindir = @plugindir@
diff -Naur moc-2.4.1/decoder_plugins/speex/Makefile.in moc-2.4.1-modplug/decoder_plugins/speex/Makefile.in
--- moc-2.4.1/decoder_plugins/speex/Makefile.in	2006-10-08 17:38:02.000000000 +0200
+++ moc-2.4.1-modplug/decoder_plugins/speex/Makefile.in	2006-10-23 08:15:36.000000000 +0200
@@ -202,6 +202,8 @@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
+modplug_CFLAGS = @modplug_CFLAGS@
+modplug_LIBS = @modplug_LIBS@
 oldincludedir = @oldincludedir@
 pdfdir = @pdfdir@
 plugindir = @plugindir@
diff -Naur moc-2.4.1/decoder_plugins/vorbis/Makefile.in moc-2.4.1-modplug/decoder_plugins/vorbis/Makefile.in
--- moc-2.4.1/decoder_plugins/vorbis/Makefile.in	2006-10-08 17:38:02.000000000 +0200
+++ moc-2.4.1-modplug/decoder_plugins/vorbis/Makefile.in	2006-10-23 08:15:36.000000000 +0200
@@ -202,6 +202,8 @@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
+modplug_CFLAGS = @modplug_CFLAGS@
+modplug_LIBS = @modplug_LIBS@
 oldincludedir = @oldincludedir@
 pdfdir = @pdfdir@
 plugindir = @plugindir@
diff -Naur moc-2.4.1/Makefile.in moc-2.4.1-modplug/Makefile.in
--- moc-2.4.1/Makefile.in	2006-10-08 17:38:03.000000000 +0200
+++ moc-2.4.1-modplug/Makefile.in	2006-10-23 08:15:36.000000000 +0200
@@ -240,6 +240,8 @@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
+modplug_CFLAGS = @modplug_CFLAGS@
+modplug_LIBS = @modplug_LIBS@
 oldincludedir = @oldincludedir@
 pdfdir = @pdfdir@
 plugindir = @plugindir@
diff -Naur moc-2.4.1/options.c moc-2.4.1-modplug/options.c
--- moc-2.4.1/options.c	2006-07-02 16:42:30.000000000 +0200
+++ moc-2.4.1-modplug/options.c	2006-10-23 08:15:36.000000000 +0200
@@ -216,6 +216,26 @@
 	option_add_int ("UseRCC", 1);
 	option_add_int ("SetXtermTitle", 1);
 	option_add_int ("PlaylistFullPaths", 1);
+
+        option_add_int ("ModPlug_Channels", 2);
+        option_add_int ("ModPlug_Frequency", 44100);
+        option_add_int ("ModPlug_Bits", 16);
+
+        option_add_int ("ModPlug_Oversampling", 1);
+        option_add_int ("ModPlug_NoiseReduction", 1);
+        option_add_int ("ModPlug_Reverb", 0);
+        option_add_int ("ModPlug_MegaBass", 0);
+        option_add_int ("ModPlug_Surround", 0);
+
+        option_add_str ("ModPlug_ResamplingMode", "FIR");
+
+        option_add_int ("ModPlug_ReverbDepth", 0);
+        option_add_int ("ModPlug_ReverbDelay", 0);
+        option_add_int ("ModPlug_BassAmount", 0);
+        option_add_int ("ModPlug_BassRange", 10);
+        option_add_int ("ModPlug_SurroundDepth", 0);
+        option_add_int ("ModPlug_SurroundDelay", 0);
+        option_add_int ("ModPlug_LoopCount", 0);
 }
 
 /* Return 1 if a parameter to an integer option is valid. */
@@ -265,14 +285,74 @@
 		if (val < 1)
 			return 0;
 	}
-	else if (strcasecmp(name, "ForceSampleRate")) {
+	else if (!strcasecmp(name, "ForceSampleRate")) {
 		if (val < 0 || val > 500000)
 			return 0;
 	}
-	else if (strcasecmp(name, "TagsCacheSize")) {
+	else if (!strcasecmp(name, "TagsCacheSize")) {
 		if (val < 0)
 			return 0;
 	}
+        else if(
+          !strcasecmp(name, "ModPlug_Oversampling")
+          || !strcasecmp(name, "ModPlug_NoiseReduction")
+          || !strcasecmp(name, "ModPlug_Reverb")
+          || !strcasecmp(name, "ModPlug_MegaBass")
+          || !strcasecmp(name, "ModPlug_Surround")
+          ) {
+          if(!(val==0 || val==1))
+            return 0;
+        }
+        else  if(!strcasecmp(name, "ModPlug_Channels"))
+        {
+            if (!(val==1 || val==2))
+              return 0;
+        }
+        else  if(!strcasecmp(name, "ModPlug_Frequency"))
+        {
+            if (!(val==11025 || val==22050 || val==44100 || val==48000))
+              return 0;
+        }
+        else  if(!strcasecmp(name, "ModPlug_Bits"))
+        {
+            if (!(val==8 || val==16 || val==32))
+              return 0;
+        }
+        else  if(!strcasecmp(name, "ModPlug_ReverbDepth"))
+        {
+            if (!(val>=0 && val<=100))
+              return 0;
+        }
+        else  if(!strcasecmp(name, "ModPlug_ReverbDelay"))
+        {
+            if (val < 0)
+              return 0;
+        }
+        else  if(!strcasecmp(name, "ModPlug_BassAmount"))
+        {
+            if (!(val>=0 && val<=100))
+              return 0;
+        }
+        else  if(!strcasecmp(name, "ModPlug_BassRange"))
+        {
+            if (!(val>=10 && val<=100))
+              return 0;
+        }
+        else  if(!strcasecmp(name, "ModPlug_SurroundDepth"))
+        {
+            if (!(val>=0 && val<=100))
+              return 0;
+        }
+        else  if(!strcasecmp(name, "ModPlug_SurroundDelay"))
+        {
+            if (val < 0)
+              return 0;
+        }
+        else  if(!strcasecmp(name, "ModPlug_LoopCount"))
+        {
+            if (val < -1)
+              return 0;
+        }
 	return 1;
 }
 
@@ -300,7 +380,15 @@
 				&& strcasecmp(val, "Linear"))
 			return 0;
 	}
-	
+        else if(!strcasecmp(name, "ModPlug_ResamplingMode")) {
+          if (
+              strcasecmp(val, "FIR")
+              && strcasecmp(val, "SPLINE")
+              && strcasecmp(val, "LINEAR")
+              && strcasecmp(val, "NEAREST")
+             )
+            return 0;
+        }
 	return 1;
 }
 
diff -Naur moc-2.4.1/themes/Makefile.in moc-2.4.1-modplug/themes/Makefile.in
--- moc-2.4.1/themes/Makefile.in	2006-10-08 17:38:02.000000000 +0200
+++ moc-2.4.1-modplug/themes/Makefile.in	2006-10-23 08:15:36.000000000 +0200
@@ -185,6 +185,8 @@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
+modplug_CFLAGS = @modplug_CFLAGS@
+modplug_LIBS = @modplug_LIBS@
 oldincludedir = @oldincludedir@
 pdfdir = @pdfdir@
 plugindir = @plugindir@
